Package org.eclipse.mat.ui.internal

## Class ErrorLogHandler

- java.lang.Object
- - java.util.logging.Handler
  - - org.eclipse.mat.ui.internal.ErrorLogHandler

    public class ErrorLogHandler
    extends Handler

### Constructor Summary

Constructors
`ErrorLogHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `publish​(LogRecord record)`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorLogHandler

    public ErrorLogHandler()

### Method Detail

#### close

    public void close()
               throws SecurityException

Specified by:
  `close` in class `Handler`
Throws:
  `SecurityException`

#### flush

    public void flush()

Specified by:
  `flush` in class `Handler`

#### publish

    public void publish​(LogRecord record)

Specified by:
  `publish` in class `Handler`